use time::{OffsetDateTime, PrimitiveDateTime};
use uuid::Uuid;

use crate::{artist::Artist, comment::Comment, file::File};

#[derive(sqlx::FromRow)]
pub struct Artwork {
    /// artwork id
    id: Option<i32>,
    /// name of the artwork
    pub title: Option<String>,
    /// description of the artwork
    pub description: Option<String>,
    /// source url of the artwork
    pub url_source: Option<String>,
    /// artwork creation time
    created_at: Option<PrimitiveDateTime>,
    /// id of the artist
    #[sqlx(Flatten)]
    pub artist: Artist,
    /// ids of files
    #[sqlx(Flatten)]
    pub files: Vec<File>,
    // /// TODO: comments in thread,
    // #[sqlx(Flatten)]
    // comments: Vec<Comment>,
}
