use uuid::Uuid;

#[derive(sqlx::FromRow)]
pub struct File {
    id: Uuid,
    pub alt_text: String,
    extension: String,
    artwork_id: Option<i32>,
}

impl File {
    pub fn new(file: std::fs::File, extension: String) -> Self {
        let id = Uuid::new_v4();
        Self {
            id,
            alt_text: String::new(),
            extension,
            artwork_id: None,
        }
    }

    pub fn id(&self) -> Uuid {
        self.id
    }

    pub fn extension(&self) -> &str {
        &self.extension
    }

    pub fn artwork_id(&self) -> Option<i32> {
        self.artwork_id
    }
}
